using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ConsumingServicesInstancesMode.ServiceReferencePerCall;
using ConsumingServicesInstancesMode.ServiceReferencePerSession;
using ConsumingServicesInstancesMode.ServiceReferenceSingle;

namespace ConsumingServicesInstancesMode
{
    class Program
    {
        static void Main(string[] args)
        {
            //PerCall
            for (int i = 0; i < 8; i++)
            {
                var Service = new ServicePerCallClient();
                Console.Write(Service.Increment().ToString() + "|");
            }
            Console.WriteLine();
            //PerSession
            for (int i = 0; i < 8; i++)
            {
                var Service = new ServicePerSessionClient();
                Console.Write(Service.Increment().ToString() + "|");
            }
            Console.WriteLine();
            //Single
            for (int i = 0; i < 8; i++)
            {
                var Service = new ServiceSingleClient();
                Console.Write(Service.Increment().ToString() + "|");
            }
            Console.WriteLine();
        }
    }
}
